Package org.apache.commons.net.ftp.parser

# Class EnterpriseUnixFTPEntryParser

java.lang.Object
org.apache.commons.net.ftp.FTPFileEntryParserImpl
org.apache.commons.net.ftp.parser.RegexFTPFileEntryParserImpl
org.apache.commons.net.ftp.parser.EnterpriseUnixFTPEntryParser

All Implemented Interfaces:
  `FTPFileEntryParser`

public class EnterpriseUnixFTPEntryParser extends RegexFTPFileEntryParserImpl
Parser for the Connect Enterprise Unix FTP Server From Sterling Commerce. Here is a sample of the sort of output line this parser processes:

     "-C--E-----FTP B QUA1I1      18128       41 Aug 12 13:56 QUADTEST"

Note: EnterpriseUnixFTPEntryParser can only be instantiated through the DefaultFTPParserFactory by class name. It will not be chosen by the autodetection scheme.

See Also:
  - `FTPFileEntryParser (for usage instructions)`
  - `DefaultFTPFileEntryParserFactory`

- ## Field Summary

  ### Fields inherited from class org.apache.commons.net.ftp.parser.RegexFTPFileEntryParserImpl

  `_matcher_`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EnterpriseUnixFTPEntryParser()`
  The sole constructor for a EnterpriseUnixFTPEntryParser object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FTPFile`
  `parseFTPEntry(String entry)`
  Parses a line of a Unix FTP server file listing and converts it into a usable format in the form of an `FTPFile` instance.

  ### Methods inherited from class org.apache.commons.net.ftp.parser.RegexFTPFileEntryParserImpl

  `getGroupCnt, getGroupsAsString, group, matches, setRegex, setRegex`

  ### Methods inherited from class org.apache.commons.net.ftp.FTPFileEntryParserImpl

  `preParse, readNextEntry`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EnterpriseUnixFTPEntryParser

    public EnterpriseUnixFTPEntryParser()
    The sole constructor for a EnterpriseUnixFTPEntryParser object.

- ## Method Details

  - ### parseFTPEntry

    public FTPFile parseFTPEntry(String entry)
    Parses a line of a Unix FTP server file listing and converts it into a usable format in the form of an `FTPFile` instance. If the file listing line doesn't describe a file, `null` is returned, otherwise a `FTPFile` instance representing the files in the directory is returned.
    Parameters:
      `entry` - A line of text from the file listing
    Returns:
      An FTPFile instance corresponding to the supplied entry